PAM (Pluggable Authentication Modules)

Revision as of 16:50, 13 November 2017 by Helen Foster (talk | contribs) (plugin removed in 3.4 (MDL-50925))

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Note: The PAM authentication plugin has been removed in Moodle 3.4. It is still available from https://github.com/moodlehq/moodle-auth_pam.


With PAM you can use the same user database for different applications log ins (SSO - Single Sign On). PAM also supports different authentication processes as required.

This method uses PAM to access the native usernames on this server. You have to install PAM Authentication Module in order to use this module.